#!/bin/sed -f
#
# Convert text resource file to X11 fallback resource strings.
#

# squeeze blank characters
s/[ \t]\+/ /g

# remove blank lines
/^$/d

# remove comments
/^#/d
/^!/d

# escape backslash notations
s/\\\([0-9][0-9][0-9]\)/\\\\\1/g
s/\\n/\\\\n/g

# quote each lines
s/^.*$/\"&\",/g

# end
